curl --request POST \
--url https://api.alpha-1edtech.ai/ims/clr/v2p0/credentials/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"@context": [
"<string>"
],
"id": "<string>",
"type": [
"<string>"
],
"issuer": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"email": "jsmith@example.com"
},
"name": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": {
"type": [
"<string>"
],
"verifiableCredential": [
{
"@context": [
"<string>"
],
"id": "<string>",
"type": [
"<string>"
],
"issuer": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"email": "jsmith@example.com"
},
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": {
"id": "<string>"
},
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
]
}
],
"id": "<string>",
"identifier": [
{
"type": "<string>",
"identityHash": "<string>",
"identityType": "<string>",
"hashed": true,
"salt": "<string>"
}
],
"achievement": [
{
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"criteria": {
"id": "<string>",
"narrative": "<string>"
}
}
],
"association": [
{
"type": "<string>",
"sourceId": "<string>",
"targetId": "<string>"
}
]
},
"description": "<string>",
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
],
"credentialSchema": [
{
"id": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/clr/v2p0/credentials/"
payload = {
"@context": ["<string>"],
"id": "<string>",
"type": ["<string>"],
"issuer": {
"id": "<string>",
"type": ["<string>"],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"email": "jsmith@example.com"
},
"name": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": {
"type": ["<string>"],
"verifiableCredential": [
{
"@context": ["<string>"],
"id": "<string>",
"type": ["<string>"],
"issuer": {
"id": "<string>",
"type": ["<string>"],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"email": "jsmith@example.com"
},
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": { "id": "<string>" },
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
]
}
],
"id": "<string>",
"identifier": [
{
"type": "<string>",
"identityHash": "<string>",
"identityType": "<string>",
"hashed": True,
"salt": "<string>"
}
],
"achievement": [
{
"id": "<string>",
"type": ["<string>"],
"name": "<string>",
"description": "<string>",
"criteria": {
"id": "<string>",
"narrative": "<string>"
}
}
],
"association": [
{
"type": "<string>",
"sourceId": "<string>",
"targetId": "<string>"
}
]
},
"description": "<string>",
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
],
"credentialSchema": [
{
"id": "<string>",
"type": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'@context': ['<string>'],
id: '<string>',
type: ['<string>'],
issuer: {
id: '<string>',
type: ['<string>'],
name: '<string>',
url: '<string>',
phone: '<string>',
description: '<string>',
email: 'jsmith@example.com'
},
name: '<string>',
validFrom: '2023-11-07T05:31:56Z',
credentialSubject: {
type: ['<string>'],
verifiableCredential: [
{
'@context': ['<string>'],
id: '<string>',
type: ['<string>'],
issuer: {
id: '<string>',
type: ['<string>'],
name: '<string>',
url: '<string>',
phone: '<string>',
description: '<string>',
email: 'jsmith@example.com'
},
validFrom: '2023-11-07T05:31:56Z',
credentialSubject: {id: '<string>'},
validUntil: '2023-11-07T05:31:56Z',
proof: [
{
type: '<string>',
proofPurpose: '<string>',
verificationMethod: '<string>',
created: '2023-11-07T05:31:56Z',
proofValue: '<string>',
cryptosuite: '<string>'
}
]
}
],
id: '<string>',
identifier: [
{
type: '<string>',
identityHash: '<string>',
identityType: '<string>',
hashed: true,
salt: '<string>'
}
],
achievement: [
{
id: '<string>',
type: ['<string>'],
name: '<string>',
description: '<string>',
criteria: {id: '<string>', narrative: '<string>'}
}
],
association: [{type: '<string>', sourceId: '<string>', targetId: '<string>'}]
},
description: '<string>',
validUntil: '2023-11-07T05:31:56Z',
proof: [
{
type: '<string>',
proofPurpose: '<string>',
verificationMethod: '<string>',
created: '2023-11-07T05:31:56Z',
proofValue: '<string>',
cryptosuite: '<string>'
}
],
credentialSchema: [{id: '<string>', type: '<string>'}]
})
};
fetch('https://api.alpha-1edtech.ai/ims/clr/v2p0/credentials/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": [
"<string>"
],
"id": "<string>",
"type": [
"<string>"
],
"issuer": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"email": "jsmith@example.com"
},
"name": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": {
"type": [
"<string>"
],
"verifiableCredential": [
{
"@context": [
"<string>"
],
"id": "<string>",
"type": [
"<string>"
],
"issuer": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"email": "jsmith@example.com"
},
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": {
"id": "<string>"
},
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
]
}
],
"id": "<string>",
"identifier": [
{
"type": "<string>",
"identityHash": "<string>",
"identityType": "<string>",
"hashed": true,
"salt": "<string>"
}
],
"achievement": [
{
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"criteria": {
"id": "<string>",
"narrative": "<string>"
},
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"creator": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"email": "jsmith@example.com"
}
}
],
"association": [
{
"type": "<string>",
"sourceId": "<string>",
"targetId": "<string>"
}
]
},
"description": "<string>",
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
],
"credentialSchema": [
{
"id": "<string>",
"type": "<string>"
}
]
}{
"@context": [
"<string>"
],
"id": "<string>",
"type": [
"<string>"
],
"issuer": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"email": "jsmith@example.com"
},
"name": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": {
"type": [
"<string>"
],
"verifiableCredential": [
{
"@context": [
"<string>"
],
"id": "<string>",
"type": [
"<string>"
],
"issuer": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"email": "jsmith@example.com"
},
"validFrom": "2023-11-07T05:31:56Z",
"credentialSubject": {
"id": "<string>"
},
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
]
}
],
"id": "<string>",
"identifier": [
{
"type": "<string>",
"identityHash": "<string>",
"identityType": "<string>",
"hashed": true,
"salt": "<string>"
}
],
"achievement": [
{
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"criteria": {
"id": "<string>",
"narrative": "<string>"
},
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"creator": {
"id": "<string>",
"type": [
"<string>"
],
"name": "<string>",
"url": "<string>",
"phone": "<string>",
"description": "<string>",
"image": {
"id": "<string>",
"type": "<string>",
"caption": "<string>"
},
"email": "jsmith@example.com"
}
}
],
"association": [
{
"type": "<string>",
"sourceId": "<string>",
"targetId": "<string>"
}
]
},
"description": "<string>",
"validUntil": "2023-11-07T05:31:56Z",
"proof": [
{
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "2023-11-07T05:31:56Z",
"proofValue": "<string>",
"cryptosuite": "<string>"
}
],
"credentialSchema": [
{
"id": "<string>",
"type": "<string>"
}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Upsert a Verifiable Comprehensive Learner Record (CLR)
Upserts a Comprehensive Learner Record (CLR) v2.0 compliant Verifiable Credential (ClrCredential). This platform acts as the ‘publisher’ of the overarching ClrCredential, digitally signing it to ensure its authenticity and integrity. The ClrCredential packages a collection of individual assertions (e.g., AchievementCredentials, OpenBadgeCredentials, or other Verifiable Credentials) about the learner. The learner’s identity information is embedded within the ‘credentialSubject’ of the main ClrCredential. The resulting CLR includes a cryptographic proof (e.g., DataIntegrityProof or JsonWebSignature2020) allowing any verifier to confirm that the CLR was issued by this platform and has not been tampered with since its issuance.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Credential successfully updated
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes